Bug 88781 - rhn up2date report not enough space on /boot
rhn up2date report not enough space on /boot
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
: Reopened
: 88782 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 00:32 EDT by Need Real Name
Modified: 2012-06-20 11:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-14 00:32:45 EDT
Description of problem:


Error reported when trying to update kernel using rhn, 




Fatal RPM error:


Failed to install packages:


 


('installing package kernel-debug-2.4.18-27.7x needs 2Mb on the /boot 
filesystem', (9, '/boot', 114808L)


then same for 3 other packages.  




heze% df -h


FilesystemSize  Used Avail Use% Mounted on


/dev/hda2181G  8.6G  163G   5% /


/dev/hda1 45M   27M   16M  62% /boot




Version-Release number of selected component (if applicable):






How reproducible:




up2date on my machine, only kernel packages need updating.




Steps to Reproduce:


1.


2.


3.


    


Actual results:




none




Expected results:




updqate kernel




Additional info:
Comment 1 Josef Komenda 2003-04-14 11:29:37 EDT
*** Bug 88782 has been marked as a duplicate of this bug. ***
Comment 2 Need Real Name 2003-04-16 15:51:51 EDT
More info from command line up2date -pu
heze.hi.gemini.edu% up2date -pu
Updating package profile...

Fetching package list for channel: redhat-linux-i386-7.3...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-7.3...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
kernel-2.4.18-27.7.x.athlon ########################## Done.                   
kernel-BOOT-2.4.18-27.7.x.i ########################## Done.                   
kernel-bigmem-2.4.18-27.7.x ########################## Done.                   
kernel-debug-2.4.18-27.7.x. ########################## Done.                   
kernel-doc-2.4.18-27.7.x.i3 ########################## Done.                   
kernel-smp-2.4.18-27.7.x.at ########################## Done.                   
kernel-source-2.4.18-27.7.x ########################## Done.                   
Preparing...                ########################################### [100%]
There was a fatal RPM error.  The message was:
Failed installing packages: 
('installing package kernel-debug-2.4.18-27.7.x needs 2Mb on the /boot
filesystem', (9, '/boot', 1143808L))
('installing package kernel-doc-2.4.18-27.7.x needs 2Mb on the /boot
filesystem', (9, '/boot', 1143808L))
('installing package kernel-smp-2.4.18-27.7.x needs 7Mb on the /boot
filesystem', (9, '/boot', 6464512L))
('installing package kernel-source-2.4.18-27.7.x needs 7Mb on the /boot
filesystem', (9, '/boot', 6464512L))

heze% df -h /boot
Filesystem            Size  Used Avail Use% Mounted on
/dev/hda1              45M   27M   16M  62% /boot

Comment 3 Need Real Name 2003-05-15 16:00:03 EDT
When is this likely to be solved.  I still can't upgrade using up2date, I now
have 50 packages out of date and each one complains I don't have enough space
(7MB)  on /boot even though I do (16MB)...
Comment 4 Bret McMillan 2003-05-15 16:24:57 EDT
I'm pretty sure you *are* running out of space.

RPM is trying to upgrade:
1.  kernel
2.  kernel-BOOT
3.  kernel-bigmem
4.  kernel-debug
5.  kernel-doc
6.  kernel-smp
7.  kernel-source

*all* in the same transaction.  4 out of the 7 packages together use 2 + 2 + 7 +
7 MB (18MB).  And that's not even including the uniprocessor kernel package. 
So, you almost definitely are running out of disk space on /boot for the entire
transaction as a whole.

Are you using kernel-debug, or kernel-smp?  If not, might want to remove those.
 Also, if you have versions you're not using, remove them.  Once you have space
freed up, try updating again.
Comment 5 Need Real Name 2003-05-15 16:32:49 EDT
MY grub file is below, which should I leave for best performance on a
dual-processor AMD Althon system?
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/hda2
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=10
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Linux (2.4.18-3bigmem)
	root (hd0,0)
	kernel /vmlinuz-2.4.18-3bigmem ro root=/dev/hda2 hdc=ide-scsi
	initrd /initrd-2.4.18-3bigmem.img
title Red Hat Linux-smp (2.4.18-3smp)
	root (hd0,0)
	kernel /vmlinuz-2.4.18-3smp ro root=/dev/hda2 hdc=ide-scsi
	initrd /initrd-2.4.18-3smp.img
title Red Hat Linux-up (2.4.18-3)
	root (hd0,0)
	kernel /vmlinuz-2.4.18-3 ro root=/dev/hda2 hdc=ide-scsi
	initrd /initrd-2.4.18-3.img

Comment 6 Red Hat Bugzilla 2007-02-05 14:15:51 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 8 Jiri Pallich 2012-06-20 11:57:13 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.